summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVictor Gaydov <victor@enise.org>2016-04-24 23:45:32 +0300
committerUlrich Müller <ulm@gentoo.org>2016-05-01 19:29:02 +0200
commitb2c2bca9807ec40f038d94b62c34e790f54b78c2 (patch)
treefec58cae765715bc08f215a24814c3a181ebb3e5 /app-emacs/buffer-extension/buffer-extension-0.1.ebuild
parentapp-emacs/basic-toolkit: Add version 0.3 (diff)
downloadgentoo-b2c2bca9807ec40f038d94b62c34e790f54b78c2.tar.gz
gentoo-b2c2bca9807ec40f038d94b62c34e790f54b78c2.tar.bz2
gentoo-b2c2bca9807ec40f038d94b62c34e790f54b78c2.zip
app-emacs/buffer-extension: Add version 0.1
Package-Manager: portage-2.2.26
Diffstat (limited to 'app-emacs/buffer-extension/buffer-extension-0.1.ebuild')
-rw-r--r--app-emacs/buffer-extension/buffer-extension-0.1.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/app-emacs/buffer-extension/buffer-extension-0.1.ebuild b/app-emacs/buffer-extension/buffer-extension-0.1.ebuild
new file mode 100644
index 00000000000..0441302cf5b
--- /dev/null
+++ b/app-emacs/buffer-extension/buffer-extension-0.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit elisp
+
+DESCRIPTION="Some enhanced functions for buffer manipulate"
+HOMEPAGE="http://www.emacswiki.org/emacs/buffer-extension.el"
+# taken from https://www.emacswiki.org/emacs/download/buffer-extension.el
+SRC_URI="https://enise.org/users/victor/share/distfiles/${P}.el.xz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="app-emacs/basic-toolkit"
+DEPEND="${RDEPEND}"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+ elisp-compile *.el || die
+ elisp-make-autoload-file || die
+}